Package org.eclipse.emf.compare.rcp.internal.match

# Class WeightProviderDescriptorRCPImpl

java.lang.Object
org.eclipse.emf.compare.rcp.extension.PluginClassDescriptor<WeightProvider>
org.eclipse.emf.compare.rcp.internal.match.WeightProviderDescriptorRCPImpl

All Implemented Interfaces:
  `WeightProvider.Descriptor`

public class WeightProviderDescriptorRCPImpl extends PluginClassDescriptor<WeightProvider> implements WeightProvider.Descriptor
Describes an extension as contributed to the "org.eclipse.emf.compare.rcp.weightProvider" extension point.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.compare.match.eobject.WeightProvider.Descriptor

`WeightProvider.Descriptor.Registry`

## Field Summary

### Fields inherited from class org.eclipse.emf.compare.rcp.extension.PluginClassDescriptor

`attributeName, element`

## Constructor Summary

Constructors
Constructor
Description
`WeightProviderDescriptorRCPImpl(org.eclipse.core.runtime.IConfigurationElement element, int ranking, Pattern nsURI)`
Creates a descriptor corresponding to the information of the given element.

## Method Summary

Modifier and Type
Method
Description
`String`
`getInstanceClassName()`
`Pattern`
`getNsURI()`
Returns the pattern of namespace URI on which this weight provider can be applied.
`int`
`getRanking()`
Returns the ranking of this weight provider.
`WeightProvider`
`getWeightProvider()`
Returns the wrapped weight provider.

### Methods inherited from class org.eclipse.emf.compare.rcp.extension.PluginClassDescriptor

`createInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WeightProviderDescriptorRCPImpl

public WeightProviderDescriptorRCPImpl(org.eclipse.core.runtime.IConfigurationElement element, int ranking, Pattern nsURI)
Creates a descriptor corresponding to the information of the given element.

Parameters:
  `element` - Configuration element from which to create this descriptor.
  `ranking` - the ranking of the weight provider.
  `nsURI` - The pattern of namespace URI on which this post processor can be applied.

## Method Details

### getNsURI

public Pattern getNsURI()
Returns the pattern of namespace URI on which this weight provider can be applied.

Specified by:
  `getNsURI` in interface `WeightProvider.Descriptor`
Returns:
  The namespace URI pattern.

### getRanking

public int getRanking()
Returns the ranking of this weight provider.

Specified by:
  `getRanking` in interface `WeightProvider.Descriptor`
Returns:
  The ranking.

### getWeightProvider

public WeightProvider getWeightProvider()
Returns the wrapped weight provider.

Specified by:
  `getWeightProvider` in interface `WeightProvider.Descriptor`
Returns:
  the wrapped weight provider

### getInstanceClassName

public String getInstanceClassName()